Page MenuHomePhabricator

Migrate Elasticsearch to Debian Buster
Closed, DeclinedPublic

Description

The current plan is to drop Debian Stretch by June 2021. We need to start thinking about migrating Elasticsearch to Buster. OpenJDK 11 comes as default for Buster, but we provide a backport of OpenJDK 8 if needed. Elasticsearch 6.x officially supports both 8 and 11, so we should have no major issue.

Note that we might want to jump to Bullseye directly: T289135.

The following roles need to be migrated:

  • role::elasticsearch::cloudelastic
  • role::elasticsearch::cirrus
  • role::elasticsearch::relforge